%define oname   columnize

Name:       ruby-%{oname}
Version:    0.3.2
Release:    %mkrel 2
Summary:    Module to format an Array as an Array of String aligned in columns
Group:      Development/Ruby
License:    GPLv2+
URL:        http://rubyforge.org/projects/rocky-hacks/columnize
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
In showing a long lists, sometimes one would prefer to see the value
arranged aligned in columns. Some examples include listing methods
of an object or debugger commands. 
An Example:
require "columnize"
print columnize((1..100).to_a.map{|x| "%2d" % x}, 60)
1   8  15  22  29  36  43  50  57  64  71  78  85  92  99 
2   9  16  23  30  37  44  51  58  65  72  79  86  93  100
3  10  17  24  31  38  45  52  59  66  73  80  87  94
4  11  18  25  32  39  46  53  60  67  74  81  88  95
5  12  19  26  33  40  47  54  61  68  75  82  89  96
6  13  20  27  34  41  48  55  62  69  76  83  90  97
7  14  21  28  35  42  49  56  63  70  77  84  91  98

%files
%defattr(-, root, root, -)
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec
%{ruby_vendorlibdir}/*

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc README COPYING
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

rm -f %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/{COPYING,README}

#FIXME: implement that in gem_helper.rb
mkdir -p %{buildroot}%{ruby_vendorlibdir} %{buildroot}%{ruby_vendorlibdir}
mv %{buildroot}%{ruby_gemdir}/gems/%{oname}-%{version}/lib/* %{buildroot}%{ruby_vendorlibdir}

%check
rake test

%clean
rm -rf %{buildroot}



%changelog
* Thu Mar 24 2011 shikamaru <shikamaru> 0.3.2-2.mga1
+ Revision: 77122
- remove files already included by %%doc
- move files to vendorlibdir and fix file list

* Thu Jan 27 2011 shikamaru <shikamaru> 0.3.2-1.mga1
+ Revision: 42321
- imported package ruby-columnize


* Thu Jan 27 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.3.2-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- Bump version

* Mon Dec 20 2010 Rémy Clouard <shikamaru@mandriva.org> 0.3.1-1mdv2011.0
+ Revision: 623460
- import rubygem-columnize

